Send document to a client
POST https://services.leadconnectorhq.com/proposals/document/send
Authorization
Body
ccRecipients (object[]): CC Recipient
email (string, required): Email Example: jim@gmail.com
id (string, required): Contact ID Example: contactId
imageUrl (string, required): Contact Image URL Example: https://example.com/image.jpg
contactName (string, required): Contact Name Example: Jim Anton
firstName (string, required): First Name Example: Jim
lastName (string, required): Last Name Example: Anton
Responses
200 - Document sent successfully
success (boolean, required): Success status Example: True
links (object[], required): Links for all recipients
referenceId (string, required): Reference ID Example: 550e8400-e29b-41d4-a716-446655440000
documentId (string, required): Document ID Example: c1e87a91-93b2-4b78-821f-85cf0e1f925b
recipientId (string, required): Recipient ID Example: u240JcS0E5qE0ziHnwMm
entityName (string, required): Entity name that the recipient belongs to Possible values: 'contacts', 'users' Example: contacts
recipientCategory (string, required): Recipient category (recipient, cc, or bcc) Possible values: 'recipient', 'cc', 'bcc' Example: recipient
documentRevision (number, required): Document revision number Example: 1
createdBy (string, required): Created by user ID Example: b6d8fa28-1112-4dc7-b9d2-f22b75a477ea
deleted (boolean, required): Whether the document is deleted Example: False
{
"success": true,
"links": [
{
"referenceId": "550e8400-e29b-41d4-a716-446655440000",
"documentId": "c1e87a91-93b2-4b78-821f-85cf0e1f925b",
"recipientId": "u240JcS0E5qE0ziHnwMm",
"entityName": "contacts",
"recipientCategory": "recipient",
"documentRevision": 1,
"createdBy": "b6d8fa28-1112-4dc7-b9d2-f22b75a477ea",
"deleted": false
}
]
}
400 - Unprocessable Entity
statusCode (number): Example: 400
message (string): Example: Bad Request
{
"statusCode": 400,
"message": "Bad Request"
}
Example
curl -X POST 'https://services.leadconnectorhq.com/proposals/document/send' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"locationId": "hTlkh7t8gujsahgg93",
"documentId": "hTlkh7t8gujsahgg93",
"documentName": "new Document",
"medium": "email",
"ccRecipients": [
{
"id": "u240JcS0E5qE0ziHnwMm",
"email": "jim@gmail.com",
"imageUrl": "",
"contactName": "Jim Anton",
"firstName": "Jim",
"lastName": "Anton"
}
],
"notificationSettings": {
"sender": {
"fromName": "",
"fromEmail": ""
},
"receive": {
"subject": "",
"templateId": ""
}
},
"sentBy": "1234567890"
}'
const response = await fetch('https://services.leadconnectorhq.com/proposals/document/send', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"locationId": "hTlkh7t8gujsahgg93", "documentId": "hTlkh7t8gujsahgg93", "documentName": "new Document", "medium": "email", "ccRecipients": [{"id": "u240JcS0E5qE0ziHnwMm", "email": "jim@gmail.com", "imageUrl": "", "contactName": "Jim Anton", "firstName": "Jim", "lastName": "Anton"}], "notificationSettings": {"sender": {"fromName": "", "fromEmail": ""}, "receive": {"subject": "", "templateId": ""}}, "sentBy": "1234567890"}),
});
const data = await response.json();
import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/proposals/document/send',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"locationId": "hTlkh7t8gujsahgg93", "documentId": "hTlkh7t8gujsahgg93", "documentName": "new Document", "medium": "email", "ccRecipients": [{"id": "u240JcS0E5qE0ziHnwMm", "email": "jim@gmail.com", "imageUrl": "", "contactName": "Jim Anton", "firstName": "Jim", "lastName": "Anton"}], "notificationSettings": {"sender": {"fromName": "", "fromEmail": ""}, "receive": {"subject": "", "templateId": ""}}, "sentBy": "1234567890"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/proposals/document/send');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'locationId': 'hTlkh7t8gujsahgg93', 'documentId': 'hTlkh7t8gujsahgg93', 'documentName': 'new Document', 'medium': 'email', 'ccRecipients': [{'id': 'u240JcS0E5qE0ziHnwMm', 'email': 'jim@gmail.com', 'imageUrl': '', 'contactName': 'Jim Anton', 'firstName': 'Jim', 'lastName': 'Anton'}], 'notificationSettings': {'sender': {'fromName': '', 'fromEmail': ''}, 'receive': {'subject': '', 'templateId': ''}}, 'sentBy': '1234567890'}),
]);
$data = json_decode(curl_exec($ch), true);